#input data
data=read.csv('F:/drawpicture/input/percent.csv')
colnames(data)=c(1,2,3,4,5,6)
data
data=as.matrix(data)
wmcolor=c('#009E73','#D55E00','cyan','black','yellow','blue','orange')

#draw picture
png(filename = 'F:/drawpicture/output/percent.png',width = 1200,height = 1000)
layout(matrix(c(1,2),2,1,byrow = T),heights = c(1,5))
par(mar=c(0,1.5,0,0),cex=1)
cex1=2.5
cex2=2.5
lwd1=2.5
plot(-0.1,xlim=c(0.6,1.155),ylim=c(-0.2,-0.03),type = "n",bty='n',yaxt='n',xaxt='n',xlab='',ylab = '')
legend(0.62,0,xpd=TRUE,horiz = T,bty='n',box.lty=0,pch=15,text.width=0.2,
       legend=c('mainly bird','mainly insect','mainly rain'), 
       col = c('#009E73','#D55E00','cyan'),cex = cex1)
legend(0.62,-0.05,xpd=TRUE,horiz = T,bty='n',box.lty=0,pch=15,text.width=0.2,
       legend=c('no obvious biophony','bird and insect'), 
       col = c('black','yellow'),cex = cex1)
legend(0.62,-0.1,xpd=TRUE,horiz = T,bty='n',box.lty=0,pch=15,text.width=0.2,
       legend=c('bird and rain','biophony and anthropophony'), 
       col = c('blue','orange'),cex = cex1)

par(mar=c(4.2,5.5,0,0),cex=1)
barplot(data,xlab = "Site",ylab = 'Percentage (%)',
        cex.axis = cex1,cex.names = cex1,cex=cex1,cex.lab=cex1,border = NA,
        col=c('#009E73','#D55E00','cyan','black','yellow','blue','orange'))
axis(2,at=c(0,20,40,60,80,100),labels = c(0,20,40,60,80,100),cex.axis=cex2,lwd = lwd1,lwd.ticks = lwd1)

dev.off()



